Loading...
Searching...
No Matches
caf::actor_system::module Class Referenceabstract

An (optional) component of the actor system. More...

`#include <actor_system.hpp>`

Inheritance diagram for caf::actor_system::module:

## Public Types

enum | id_t { scheduler , middleman , opencl_manager , openssl_manager , network_manager , num_ids }

## Public Member Functions

const char * | name () const noexcept
| Returns the human-redable name of the module.
virtual void | start ()=0
| Starts any background threads needed by the module.
virtual void | stop ()=0
| Stops all background threads of the module.
virtual void | init (actor_system_config &)=0
| Allows the module to change the configuration of the actor system during startup.
virtual id_t | id () const =0
| Returns the identifier of this module.
virtual void * | subtype_ptr ()=0
| Returns a pointer to the subtype.

## Detailed Description

An (optional) component of the actor system.

## Member Function Documentation

## id()

virtual id_t caf::actor_system::module::id | ( |  | ) | const

pure virtual

Returns the identifier of this module.

Implemented in caf::io::middleman, and caf::scheduler::abstract_coordinator.

## init()

virtual void caf::actor_system::module::init | ( | actor_system_config & |  | ) |

pure virtual

Allows the module to change the configuration of the actor system during startup.

Implemented in caf::io::middleman, caf::scheduler::abstract_coordinator, caf::scheduler::profiled_coordinator< Policy >, and caf::scheduler::profiled_coordinator< profiled< Policy > >.

## start()

virtual void caf::actor_system::module::start | ( |  | ) |

pure virtual

Starts any background threads needed by the module.

Implemented in caf::io::middleman, caf::scheduler::abstract_coordinator, caf::scheduler::coordinator< Policy >, caf::scheduler::coordinator< Policy > *, caf::scheduler::coordinator< policy::profiled< policy::work_stealing > >, caf::scheduler::profiled_coordinator< Policy >, caf::scheduler::profiled_coordinator< profiled< Policy > >, and caf::scheduler::test_coordinator.

## stop()

virtual void caf::actor_system::module::stop | ( |  | ) |

pure virtual

Stops all background threads of the module.

Implemented in caf::io::middleman, caf::scheduler::coordinator< Policy >, caf::scheduler::coordinator< Policy > *, caf::scheduler::coordinator< policy::profiled< policy::work_stealing > >, caf::scheduler::profiled_coordinator< Policy >, caf::scheduler::profiled_coordinator< profiled< Policy > >, and caf::scheduler::test_coordinator.

## subtype_ptr()

virtual void * caf::actor_system::module::subtype_ptr | ( |  | ) |

pure virtual

Returns a pointer to the subtype.

Implemented in caf::io::middleman, and caf::scheduler::abstract_coordinator.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/actor_system.hpp